CVE-2006-2416
CVSS5.1
发布时间 :2006-05-16 06:02:00
修订时间 :2011-08-08 00:00:00
NMCOS    

[原文]SQL injection vulnerability in class2.php in e107 0.7.2 and earlier allows remote attackers to execute arbitrary SQL commands via a cookie as defined in $pref['cookie_name'].


[CNNVD]e107 class2.php SQL注入漏洞(CNNVD-200605-304)

        e107 0.7.2及之前版本的class2.php存在SQL注入漏洞。 远程攻击者可以借助$pref['cookie_name']中定义的cookie,执行任意SQL指令。

- CVSS (基础分值)

CVSS分值: 5.1 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-89 [SQL命令中使用的特殊元素转义处理不恰当(SQL注入)]

- CPE (受影响的平台与产品)

cpe:/a:e107:e107:0.616
cpe:/a:e107:e107:0.6_12
cpe:/a:e107:e107:0.6_13
cpe:/a:e107:e107:0.6_15a
cpe:/a:e107:e107:0.6_11
cpe:/a:e107:e107:0.545
cpe:/a:e107:e107:0.554
cpe:/a:e107:e107:0.7.2e107 0.7.2
cpe:/a:e107:e107:0.7e107 0.7
cpe:/a:e107:e107:0.6175
cpe:/a:e107:e107:0.617
cpe:/a:e107:e107:0.6_10
cpe:/a:e107:e107:0.6171
cpe:/a:e107:e107:0.6_14
cpe:/a:e107:e107:0.6_15
cpe:/a:e107:e107:0.7.1e107 0.7.1
cpe:/a:e107:e107:0.603
cpe:/a:e107:e107:0.555_beta

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-2416
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-2416
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200605-304
(官方数据源) CNNVD

- 其它链接及资源

http://www.osvdb.org/25521
(PATCH)  OSVDB  25521
http://secunia.com/advisories/20089
(VENDOR_ADVISORY)  SECUNIA  20089
http://xforce.iss.net/xforce/xfdb/26434
(UNKNOWN)  XF  e107-cookie-sql-injection(26434)
http://www.vupen.com/english/advisories/2006/1802
(VENDOR_ADVISORY)  VUPEN  ADV-2006-1802
http://www.securityfocus.com/bid/17966
(UNKNOWN)  BID  17966
http://www.securityfocus.com/archive/1/archive/1/433938/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060513 SQL-Injection in e107 allows attacker to become a site admininstrator
http://securityreason.com/securityalert/905
(UNKNOWN)  SREASON  905

- 漏洞信息

e107 class2.php SQL注入漏洞
中危 SQL注入
2006-05-16 00:00:00 2006-05-24 00:00:00
远程  
        e107 0.7.2及之前版本的class2.php存在SQL注入漏洞。 远程攻击者可以借助$pref['cookie_name']中定义的cookie,执行任意SQL指令。

- 公告与补丁

        暂无数据

- 漏洞信息

25521
e107 e107_cookie Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public

- 漏洞描述

e107 contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the class2.php script not properly sanitizing user-supplied input to the 'e107_cookie' cookie fields. This may allow an attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2006-05-13 Unknow
2006-05-13 Unknow

- 解决方案

Upgrade to version 0.7.4 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

E107 SQL Injection Vulnerability
Input Validation Error 17966
Yes No
2006-05-13 12:00:00 2007-02-20 08:28:00
socsam@linuxmail.org is credited with the discovery of this vulnerability.

- 受影响的程序版本

e107 e107 website system 0.6171
e107 e107 website system 0.617
e107 e107 website system 0.616
e107 e107 website system 0.603
e107 e107 website system 0.555 Beta
e107 e107 website system 0.554
e107 e107 website system 0.545
e107 e107 website system 0.7.2
e107 e107 website system 0.7.1
e107 e107 website system 0.7
e107 e107 website system 0.6 15a
e107 e107 website system 0.6 15
e107 e107 website system 0.6 14
e107 e107 website system 0.6 13
e107 e107 website system 0.6 12
e107 e107 website system 0.6 11
e107 e107 website system 0.6 10
e107 e107 website system 0.6175

- 漏洞讨论

e107 is prone to an SQL-injection vulnerability. This issue is due to a failure in the application to properly sanitize user-supplied cookie data before using it in an SQL query.

A successful exploit could allow an attacker to compromise the application, access or modify data, or exploit vulnerabilities in the underlying database implementation.

- 漏洞利用

This issue can be exploited through a web client.

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: mailto:vuldb@securityfocus.com

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站